#
# Makefile  -  makefile to create configure and config.h.in
#
# Copyright (C) 1996-2007 Gero Kuhlmann Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.17 2007/01/06 18:31:20 gkminix Exp $
#

AUTOCONF	?= autoconf
AUTOHEADER	?= autoheader
ACLOCAL		?= aclocal
TOPDIR		 = ../..
CONFSCRIPT	 = $(TOPDIR)/configure
VERSIONFILE	 = $(TOPDIR)/version
CONFHEADER	 = $(TOPDIR)/include/config.h.in

ifdef ACINCLUDE
ACLOCALARGS	?= -I $(ACINCLUDE)
M4FILES		 =
else
ACLOCALARGS	?= -I m4
M4FILES		 = m4/ac_check_cc_opt.m4 \
			m4/ac_prog_cc_warnings.m4 \
			m4/berkeley_db.m4 \
			m4/nb_check_comp.m4 \
			m4/nb_path_walk.m4
endif


.PHONY: all
all distrib:	aclocal.m4 $(CONFSCRIPT) $(CONFHEADER)

nbversion.m4:	$(VERSIONFILE)
		@(. $(VERSIONFILE); \
		  echo "m4_define([NB_VER_MAJOR], [$${VER_MAJOR}])" >nbversion.m4; \
		  echo "m4_define([NB_VER_MINOR], [$${VER_MINOR}])" >>nbversion.m4; \
		  echo "m4_define([NB_PATCHLEVEL], [$${PATCHLEVEL}])" >>nbversion.m4; \
		  echo "m4_define([NB_YEAR], [$${YEAR}])" >>nbversion.m4)

aclocal.m4:	configure.ac nbversion.m4 $(M4FILES)
		$(ACLOCAL) $(ACLOCALARGS)

$(CONFSCRIPT):	configure.ac aclocal.m4 nbversion.m4
		$(AUTOCONF)
		mv configure $(CONFSCRIPT)

$(CONFHEADER):	configure.ac aclocal.m4 nbversion.m4
		@mkdir -p include
		$(AUTOHEADER)
		mv include/config.h.in $(CONFHEADER)
		@rmdir include


install dep:


clean:
	rm -f core
	rm -f acout.* autoh*
	rm -f nbversion.m4 aclocal.m4
	rm -f configure config.h.in
	rm -rf autom4te.cache include

distclean:	clean

realclean:	clean
	rm -f $(CONFSCRIPT) $(CONFHEADER)

